Bug 457713 - Icon reference in .desktop file contains file extension (.png)
Icon reference in .desktop file contains file extension (.png)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 03:02 EDT by Martin Sourada
Modified: 2009-09-21 16:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-02 09:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2008-08-04 03:02:09 EDT
Description of problem:
Icon reference in .desktop file contains file extension (.png) which prevents effectively theming it, e.g. if the used icon theme is based solely on SVGs.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.8-1.fc10

Additional info:
Just dropping the extension is fine (i.e. to Icon=system-config-bind), but it would be even better if the icon name could be changed to something more general and follow the Icon Naming Guidelines [1]. I'd suggest preferences-system-dns.

Also, as the icon is used in the application itself, it would be nice to look it up the correct way [2]. GTK has already prepared look-up functions for that, so the implementation should not be hard. Patch attached to bug #454402 might be helpful.

[1] http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html#guidelines

[2] http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#icon_lookup
Comment 1 Jaroslav Reznik 2008-08-04 04:13:58 EDT
(In reply to comment #0)
>I'd suggest preferences-system-dns.

I think "preferences-network-dns" is more appropriate for s-c-bind and conforms more to proposed s-c-netboot icon name ("preferences-network-boot").
Comment 2 Martin Sourada 2008-08-04 04:54:40 EDT
(In reply to comment #1)
> I think "preferences-network-dns" is more appropriate for s-c-bind and conforms
> more to proposed s-c-netboot icon name ("preferences-network-boot").

Sounds good to me.

Note You need to log in before you can comment on or make changes to this bug.